import { Repository } from "typeorm";
import { Highlight } from "../../common/highlight/highlight.entity";
import { CreateHighlightDto, UpdateHighlightDto, UpdateStatusDto } from "./highlight.dto";
export declare class AdminHighlight {
    private readonly highlightRepository;
    constructor(highlightRepository: Repository<Highlight>);
    create(createHighlightDto: CreateHighlightDto): Promise<Highlight>;
    findAll(shopId: number): Promise<Highlight[]>;
    findOne(id: number): Promise<Highlight>;
    update(id: number, updateHighlightDto: UpdateHighlightDto): Promise<Highlight>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Highlight>;
}
